package com {

	/**
	 * @author ursula
	 */
	import gs.TweenLite;
	
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.filters.BlurFilter;	

	public class Main extends MovieClip {

		private var txt : MyTextField;
		private var loadCount : Number;
		
		private var WIDTH:Number = 500;
		private var HEIGHT:Number = 300;
		private var MARGIN:Number = 20;

		public function Main() {

			loadCount = 0;
			
			Prepend.init(this);

			var	xmlpath : String = "xml/content.xml";
			Model.instance.addEventListener("XMLLoadComplete", acknowledge);
			Model.instance.init(xmlpath);
			
			var	csspath : String = "style.css";
			Styles.instance.addEventListener("CSSLoadComplete", acknowledge);
			Styles.instance.init(csspath);
		}

		private function init() : void {
			
			txt = new MyTextField(Model.instance.getContent(), WIDTH-(MARGIN*2));
			txt.setCSS(Styles.instance.css);
			txt.x = MARGIN;
			txt.y = MARGIN;
			//txt.y = (HEIGHT - txt.height)/2;
			addChild(txt);
			
			TweenLite.from(txt, 2, {alpha:0, onUpdate:updateBlur});
		}
		
		private function updateBlur():void{
			txt.filters = [new BlurFilter(1/txt.alpha, 1/txt.alpha,3)];
		}

		private function acknowledge(e : Event) : void {

			loadCount++;
			if (loadCount == 2) {
				init();
			}
		}	
	}
}
