package com {
	import com.Prepend;
	
	import flash.events.Event;
	import flash.events.EventDispatcher;
	import flash.net.URLLoader;
	import flash.net.URLRequest;	
	import flash.text.StyleSheet;

	public class Styles extends EventDispatcher {
		//singleton controls
		public static const instance:Styles = new Styles(SingletonLock);

		public function Styles(lock:Class) {
			if (lock != SingletonLock) {
				throw new Error("Invalid Singleton Access. Use Styles.instance");
			}
		}
		
		private var loader:URLLoader;
		public var css:StyleSheet;
		
		public function init(_cssPath:String):void {
			loadCSS(_cssPath);
		}
		
		private function loadCSS(_cssPath:String):void {
			loader = new URLLoader();
			loader.addEventListener(Event.COMPLETE, cssLoadComplete);
			loader.load(new URLRequest(Prepend.baseUrl + _cssPath));
		}
		
		private function cssLoadComplete(e:Event):void {
			trace("css load complete | loader.data");
			css = new StyleSheet();
			css.parseCSS(loader.data);
			//trace("loader.data = " +loader.data);
			instance.dispatchEvent(new Event("CSSLoadComplete"));
		}	
	}
}
class SingletonLock{}
